Bug 7068 - autobarcode not working when duplicating patrons
Summary: autobarcode not working when duplicating patrons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Assignee: MJ Ray (software.coop)
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 6782
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 18:08 UTC by Nicole C. Engard
Modified: 2013-12-05 19:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
fix bug 7068 - autobarcode not working when duplicating patrons - by blanking cardnumber in the code and showing it in the template, instead of just not showing it in the template (2.06 KB, patch)
2012-09-07 16:41 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Signed off patch (2.18 KB, application/octet-stream)
2012-09-10 21:58 UTC, Melia Meggs
Details
patch with second signoff (2.23 KB, patch)
2012-09-11 15:27 UTC, Galen Charlton
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-10-19 18:08:55 UTC
When using the duplicate button on the patron record the cardnumber is not generated even if the autobarcode is set - it does work if you add a new patron via the 'new' button.
Comment 1 MJ Ray (software.coop) 2012-09-07 16:23:40 UTC
I confirm this bug.
Comment 2 MJ Ray (software.coop) 2012-09-07 16:41:06 UTC Comment hidden (obsolete)
Comment 3 Melia Meggs 2012-09-10 21:58:08 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2012-09-11 15:27:32 UTC
Created attachment 12137 [details] [review]
patch with second signoff

Patch with second signoff -- also reformatted the commit message.

I've also confirmed that the patch applies cleanly and works in 3.8.x, and request that the RMaint consider cherry-picking this once it's applied to master.
Comment 5 Jonathan Druart 2012-09-12 14:11:51 UTC
QA Comments:
works as expected, nothing to say.

Marked as Passed QA.
Comment 6 Paul Poulain 2012-09-13 16:23:55 UTC
Patch pushed to master
Comment 7 Chris Cormack 2012-09-13 22:33:32 UTC
Applies and works, pushed to 3.8.x, will be in 3.8.5